<?php
namespace Mirasvit\Search\Block\Index\Mirasvit\Brand\Page;

/**
 * Interceptor class for @see \Mirasvit\Search\Block\Index\Mirasvit\Brand\Page
 */
class Interceptor extends \Mirasvit\Search\Block\Index\Mirasvit\Brand\Page implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\Search\Service\IndexService $indexService, \Magento\Framework\ObjectManagerInterface $objectManager, \Magento\Framework\View\Element\Template\Context $context)
    {
        $this->___init();
        parent::__construct($indexService, $objectManager, $context);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
